EDIT - bug #7482

TaxonNameEditor relpacedSynonym not set after adding or editing the related name
06/15/2018 06:42 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.1

Severity: critical Found in Version:

Description

Hallo Andreas,

ich habe das Problem.
http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/c649cc52-db8a-4479-92fb-106fa8e63687

Neuanlage:

Name:

Achnanthes blablablabla Kusber

Replaced Synonym:

Achnanthes blablabla A. Boudou

Neue Referenz: Title 6 in Nova Hedwigia 44: 1-30. 1900

Replaced Synonym trotz speicherns nicht angenommen.

Bei einem weiteren Versuch mit ausgewahltem Namen ohne Anderung der Referenz scheint auch nichts gespeichert zu sein.

Viele GriiBe, Henning

Associated revisions

Revision 1b1f9e4e - 06/15/2018 06:43 PM - Andreas Kohlbecker
fix #7482 adding missing case in onEntityChangeEvent() for replacedSynonmy

History

#1 - 06/15/2018 06:43 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|1b1f9e4eca012ccf703ee2c31524448a77f1e2df.

#2 - 06/15/2018 06:43 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

ready for reviewing.

#3 - 06/15/2018 07:01 PM - Wolf-Henning Kusber

Mit Zwischenspeichern nach Eingabe der Art geht es.
Ohne Zwischenspeichern wird das Replaced Synonym nicht gespeichert.

Bisher habe ich die Art eingegeben, replaced synonym angeklickt, bin auf den neuen Editor fiir den Replacement name gegangen, von da auf die
neue Reference. Habe dann die Reference gespeichert, war wieder zuriick auf der Replacement name Seite, habe gespeichert, was zuriick auf der
Name Seite, aber da wurde (ohne Zwischenspeiern) auch das Replaced Synonym nicht mehr angezeigt. Speichern speicherte genau den Stand, den
ich jetzt sah.
http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/c649cc52-db8a-4479-92fb-106fa8e63687
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/1b1f9e4eca012ccf703ee2c31524448a77f1e2df

#4 - 06/19/2018 10:49 AM - Wolf-Henning Kusber
test OK

#5 - 06/19/2018 10:49 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100
